/** 
 *******************************************************************************
 * @file    main.h
 * @brief   the header file of TMRB_PPG demo for the TOSHIBA
 *          'TMPM365' Device Series 
 * @version V0.102
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

/* Includes ------------------------------------------------------------------*/
#include "tmpm365_tmrb.h"
#include "tmpm365_gpio.h"

/* Private define ------------------------------------------------------------*/

#define TMRB4TIME       0x0BB8U /* TMRB4 for PPG , Ttmrb = 0.167us, 500us/0.167us = 3000 = 0x0BB8 */
#define LEADINGTIMINGMAX         0x05U   /* LEADINGTIMING RATE COUNTER MAX */
#define LEADINGTIMINGINIT        0U      /* LEADINGTIMING RATE COUNTER Initialize */
#define KEYPORT         GPIO_PD /* KEY input port, according to board */

/* External function prototypes ----------------------------------------------*/
#endif
