/**
 *******************************************************************************
 * @file    DemoA.c
 * @brief   main function of DemoAB
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
#include    "TMPM365.h"

#define     LED_DEMOA_ON    0x01U
#define     LED_DEMOA_OFF   (uint8_t) (~LED_DEMOA_ON)

void delay(void)
{
    uint32_t i = 0U;
    for (i = 0U; i < 0x1FFFFFU; i++) {
    }
}

int main(void)
{
/*LED initial*/
    TSB_PA->CR |= LED_DEMOA_ON;
    TSB_PA->DATA &= LED_DEMOA_OFF;
    while (1U) {
        TSB_PA->DATA |= LED_DEMOA_ON;
        delay();
        TSB_PA->DATA &= LED_DEMOA_OFF;
        delay();
    }
}

#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1U) {
        __NOP();
    }
}
#endif
